Name:          libmypaint
Version:       1.3.0
Release:       1mamba
Summary:       MyPaint brush engine library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://mypaint.org/
Source:        https://github.com/mypaint/libmypaint/archive/v%{version}.zip
License:       ISC
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 libmypaint' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is the brush library used by MyPaint. A number of other painting programs use it too.


%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libmypaint-1.3.so.0
%{_libdir}/libmypaint-1.3.so.0.0.0
%{_libdir}/girepository-1.0/MyPaint-1.3.typelib
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libmypaint/mypaint-*.h
%{_libdir}/libmypaint.la
%{_libdir}/libmypaint.so
%{_libdir}/pkgconfig/libmypaint.pc
%{_datadir}/gir-1.0/MyPaint-1.3.gir
%doc README.md TODO



%changelog
* Sat Apr 15 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.3.0-1mamba
- package created using the webbuild interface
